### R code from vignette source 'Guide.Stex'

###################################################
### code chunk number 1: Guide.Stex:10-12
###################################################
 options(continue="  ")
 options(warn=1)


###################################################
### code chunk number 2: Guide.Stex:28-29
###################################################
library("TSfame")  


###################################################
### code chunk number 3: Guide.Stex:46-47
###################################################
con <- TSconnect("fame", dbname="testvigFame.db") 


###################################################
### code chunk number 4: Guide.Stex:56-61
###################################################
 z <- ts(rnorm(10), start=c(1990,1), frequency=1)
 seriesNames(z) <- "vec"
 if(TSexists("vec", con)) TSdelete("vec", con) 
 TSput( z, con)
 z <- TSget("vec", con)


###################################################
### code chunk number 5: Guide.Stex:75-83
###################################################
 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=1)
 seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con)
 TSget("matc1", con)
 TSget("matc2", con)
 TSget(c("matc1","matc2"), con)
 tfplot(z+1, TSget(c("matc1","matc2"), con), 
          lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 6: Guide.Stex:86-92
###################################################
 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=4)
  seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con)
 TSget(c("matc1","matc2"), con)
 tfplot(z+1, TSget(c("matc1","matc2"), con),
          lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 7: Guide.Stex:95-100
###################################################
 z <- ts(matrix(rnorm(200),100,2), start=c(1995,1), frequency=12)
  seriesNames(z) <- c("mat2c1", "mat2c2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("mat2c1","mat2c2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 8: Guide.Stex:106-113
###################################################
 TSmeta("mat2c1", con)
 TSmeta("vec", con)
 TSdates("vec", con)
 TSdescription("vec", con)
 TSdoc("vec", con)
 TSlabel("vec", con)
 TSsource("vec", con)


###################################################
### code chunk number 9: Guide.Stex:119-120
###################################################
 options(TSconnection=con)


###################################################
### code chunk number 10: Guide.Stex:126-128
###################################################
 z <- TSget("mat2c1") 
 TSmeta("mat2c1")


###################################################
### code chunk number 11: Guide.Stex:144-169
###################################################
 z <- ts(matrix(rnorm(10),10,1), start=c(1990,1), frequency=1)
 TSreplace(z, serIDs="Series1", con) 
 zz <- TSget("Series1", con)
 TSreplace(z, serIDs="Series1", con, 
     TSdescription="short rnorm series", 
     TSdoc="Series created as an example in the vignette.")
 zz <- TSget("Series1", con, TSdescription=TRUE, TSdoc=TRUE)
 start(zz)
 end(zz)
 TSdescription(zz)
 TSdoc(zz)

 TSdescription("Series1", con)
 TSdoc("Series1", con)

 z <- ts(rnorm(10), start=c(1990,1), frequency=1)
 seriesNames(z) <- "vec"
 TSreplace(z, con)
 zz <- TSget("vec", con)

 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=1)
 seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con) 
 tfplot(z+1, TSget(c("matc1","matc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 12: Guide.Stex:172-177
###################################################
 z <- ts(matrix(rnorm(20),10,2), start=c(1990,1), frequency=4)
 seriesNames(z) <- c("matc1", "matc2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("matc1","matc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 13: Guide.Stex:180-185
###################################################
 z <- ts(matrix(rnorm(200),100,2), start=c(1995,1), frequency=12)
 seriesNames(z) <- c("mat2c1", "mat2c2")
 TSreplace(z, con) 
 tfplot(z+1, TSget(c("mat2c1","mat2c2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 14: Guide.Stex:191-198
###################################################
require("zoo") 

 z <- zoo(matrix(rnorm(200),100,2), as.Date("1990-01-01") + 0:99)
 seriesNames(z) <- c("zooc1", "zooc2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("zooc1","zooc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))  


###################################################
### code chunk number 15: Guide.Stex:202-208
###################################################
 z <- zoo(matrix(rnorm(200),100,2), as.Date("1990-01-01") + 0:99 * 7)
 seriesNames(z) <- c("zooWc1", "zooWc2")
 TSreplace(z, con)
 z2 <- TSget(c("zooWc1","zooWc2"), con)
 time(z)
 time(z2)


###################################################
### code chunk number 16: Guide.Stex:212-213
###################################################
 tfplot(z2)


###################################################
### code chunk number 17: Guide.Stex:217-218
###################################################
 tfplot(z+1, z2, col=c("black", "red"), lty=c("dashed", "solid"))  


###################################################
### code chunk number 18: Guide.Stex:235-236
###################################################
 options(TSconnection=NULL)


###################################################
### code chunk number 19: Guide.Stex:241-250
###################################################
  require("TShistQuote")
  Yahoo <- TSconnect("histQuote", dbname="yahoo") 
  x <- TSget("^gspc", quote = "Close", con=Yahoo)
  plot(x)
  tfplot(x)

  TSrefperiod(x) 
  TSdescription(x) 
  TSdoc(x) 


###################################################
### code chunk number 20: Guide.Stex:257-258
###################################################
   TSreplace(x,  serIDs="gspc", Table="B", con=con)


###################################################
### code chunk number 21: Guide.Stex:263-267
###################################################
  TSrefperiod(TSget(serIDs="gspc", con=con)) 
  TSdescription("gspc", con=con) 
  TSdoc("gspc", con=con)
  tfplot(TSget(serIDs="gspc", con=con))


###################################################
### code chunk number 22: Guide.Stex:270-283
###################################################
   x <- TSget("ibm", quote = c("Close", "Vol"), con=Yahoo)
   TSreplace(x, serIDs=c("ibm.Cl", "ibm.Vol"),  con=con, Table="B",
              TSdescription.=c("IBM Close","IBM  Volume"),
	      TSdoc.= paste(c(
	         "IBM  Close   retrieved on ",
		 "IBM  Volume retrieved  on "), Sys.Date()))

   z <- TSget(serIDs=c("ibm.Cl", "ibm.Vol"), 
             TSdescription=TRUE, TSdoc=TRUE, con=con)
   TSdescription(z)
   TSdoc(z)
   tfplot(z, xlab = TSdoc(z), Title = TSdescription(z))
   tfplot(z, Title="IBM", start="2007-01-01")


###################################################
### code chunk number 23: Guide.Stex:286-288
###################################################
  dbDisconnect(con)
  dbDisconnect(Yahoo)


###################################################
### code chunk number 24: Guide.Stex:307-312
###################################################
  conets <- try(TSconnect("fame", dbname="ets /home/ets/db/etsintoecd.db",
                  accessMode="read")) 
  if (!inherits(conets, "try-error")) { 
    print(TSmeta("M.SDR.CCUSMA02.ST", con=conets))
  }


###################################################
### code chunk number 25: Guide.Stex:320-327
###################################################
  conServer <- try(
    TSconnect("fameServer", dbname="/home/ets/db/etsintoecd.db",
       service = "2959", host = "ets", user="", password="",stopOnFail = TRUE)) 

  if (!inherits(conServer, "try-error")) { 
    print(TSmeta("M.SDR.CCUSMA02.ST", con=conServer))
  }


###################################################
### code chunk number 26: Guide.Stex:333-359
###################################################
  if (!inherits(conServer, "try-error")) {
  
  options(TSconnection=conServer)

  print(TSmeta("M.SDR.CCUSMA02.ST"))

  EXCH.IDs <- t(matrix(c(
 	"M.SDR.CCUSMA02.ST",	 "SDR/USD exchange rate",
 	"M.CAN.CCUSMA02.ST",	 "CAN/USD exchange rate",
 	"M.MEX.CCUSMA02.ST",	 "MEX/USD exchange rate",
 	"M.JPN.CCUSMA02.ST",	 "JPN/USD exchange rate",
 	"M.EMU.CCUSMA02.ST",	 "Euro/USD exchange rate",
 	"M.OTO.CCUSMA02.ST",	 "OECD /USD exchange rate",
 	"M.G7M.CCUSMA02.ST",	 "G7   /USD exchange rate",
 	"M.E15.CCUSMA02.ST",	 "Euro 15. /USD exchange rate"
	), 2, 8))

  print(TSdates(EXCH.IDs[,1]))
  z <- TSdates(EXCH.IDs[,1])
  print(start(z))
  print(end(z))
   
  tfplot(TSget(serIDs="M.CAN.CCUSMA02.ST", conServer), 
      ylab="CDN dollors per US dollar",
      Title="Canada - U.S. Exchange Rate")
  }


###################################################
### code chunk number 27: Guide.Stex:363-372
###################################################
if (!inherits(conServer, "try-error")) {
  print(TSdescription(TSget("M.CAN.CCUSMA02.ST", TSdescription=TRUE)))
  print(TSdescription("M.CAN.CCUSMA02.ST"))

  print(TSdoc(TSget("M.CAN.CCUSMA02.ST", TSdoc=TRUE)))
  print(TSdoc("M.CAN.CCUSMA02.ST"))

  tfplot(TSget("M.CAN.CCUSMA02.ST", names="M.CAN.CCUSMA02.ST", conServer))
  }


###################################################
### code chunk number 28: Guide.Stex:375-379
###################################################
if (!inherits(conServer, "try-error")) {
  z <- TSget("M.CAN.CCUSMA02.ST", TSdescription=TRUE)
  tfplot(z, Title=strsplit(TSdescription(z), "//")[[1]][1:2])
  }


###################################################
### code chunk number 29: Guide.Stex:382-385
###################################################
if (!inherits(conServer, "try-error")) {
  plot(z)
  }


###################################################
### code chunk number 30: Guide.Stex:388-391
###################################################
  if (!inherits(conServer, "try-error")) {
  options(TSconnection=NULL)
  }  # end if try-error


###################################################
### code chunk number 31: Guide.Stex:397-401
###################################################
dbDisconnect(conets)
dbDisconnect(conServer)
dbDisconnect(con)
options(TSconnection=NULL)


###################################################
### code chunk number 32: Guide.Stex:407-422
###################################################
  dbs <- paste("ets /home/ets5/mfadata/etsmfacansim_", c(
             "20110513.db", "20060526.db", "20110520.db"), sep="")
  names(dbs) <- c("2011-05-13", "2006-05-26", "2011-05-20")
	     
  conetsV <- try(TSconnect("fame", dbname=dbs, "read", current="2011-05-13")) 

  if (!inherits(conetsV, "try-error")) {   
   z <- TSget("V122646", con=conetsV, vintage=c("2011-05-13", "2006-05-26"))
   tfplot(z)
   options(TSconnection=conetsV)
   z <- TSget("V122646") 
   z <- TSget(c("V122646", "V122647")) 
   tfplot(z)
   dbDisconnect(conetsV)
  }


###################################################
### code chunk number 33: Guide.Stex:425-438
###################################################
  dbs <- paste("/home/ets5/mfadata/etsmfacansim_", c(
             "20110513.db", "20060526.db", "20110520.db"), sep="")
  names(dbs) <- c("2011-05-13", "2006-05-26", "2011-05-20")

  conServerV <- try( TSconnect("fameServer", dbname=dbs, 
            service = "2959", host = "ets", stopOnFail = TRUE)) 

  if (!inherits(conServerV, "try-error")) { 
   r <- TSget("V122646", con=conServerV, vintage=c("2011-05-13", "2006-05-26"))
   tfplot(r)
   dbDisconnect(conServerV)
    
  }


